b737dbb31e7c31a68552b4aa7d8d32d27b5b34ca
[debian/amanda] / application-src / Makefile.in
1 # Makefile.in generated by automake 1.11 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 # Makefile for Amanda wrapper programs.
19
20 # vim:ft=automake
21 # Copyright (c) 2005-2008 Zmanda Inc.  All Rights Reserved.
22
23 # This library is free software; you can redistribute it and/or modify it
24 # under the terms of the GNU Lesser General Public License version 2.1 as 
25 # published by the Free Software Foundation.
26
27 # This library is distributed in the hope that it will be useful, but
28 # WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
29 # or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
30 # License for more details.
31
32 # You should have received a copy of the GNU Lesser General Public License
33 # along with this library; if not, write to the Free Software Foundation,
34 # Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA.
35
36 # Contact information: Zmanda Inc., 465 S Mathlida Ave, Suite 300
37 # Sunnyvale, CA 94086, USA, or: http://www.zmanda.com
38
39 # simple include file to pre-define variables which are then +='d by other
40 # scripts in this directory.
41
42 # vim:ft=automake
43 # Copyright (c) 2005-2008 Zmanda Inc.  All Rights Reserved.
44
45 # This library is free software; you can redistribute it and/or modify it
46 # under the terms of the GNU Lesser General Public License version 2.1 as 
47 # published by the Free Software Foundation.
48
49 # This library is distributed in the hope that it will be useful, but
50 # WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
51 # or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
52 # License for more details.
53
54 # You should have received a copy of the GNU Lesser General Public License
55 # along with this library; if not, write to the Free Software Foundation,
56 # Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA.
57
58 # Contact information: Zmanda Inc., 465 S Mathlida Ave, Suite 300
59 # Sunnyvale, CA 94086, USA, or: http://www.zmanda.com
60
61 # SYNOPSIS:
62 #
63 # Automake magic to handle the various tasks of building scripts.  Scripts can
64 # be built down to extensionless executables (e.g., foo.pl -> foo), or to 
65 # files with the usual extension (foo-lib.sh.in -> foo.sh).
66 #
67 # Files which support it are syntax-checked when the user invokes 'make check'.
68 #
69 # All *target* filenames must be listed in SCRIPTS_SHELL, SCRIPTS_PERL, and 
70 # SCRIPTS_AWK to support 'make check', 'make dist', and 'make distclean'. No
71 # files which are not substituted by config.status should be included in
72 # SCRIPTS_PERL, SCRIPTS_SHELL, or SCRIPTS_AWK.  If non-generated files are listed
73 # for installation, then Automake will figure out that they should be distributed;
74 # otherwise, include them in EXTRA_DIST.
75 #
76 # USAGE:
77 #
78 #   include $(top_srcdir)/config/automake/vars.am
79 #   include $(top_srcdir)/config/automake/scripts.am
80 #   ...
81 #   SCRIPTS_PERL = fooscript barscript perl-lib.pl perlmod.pm
82 #   SCRIPTS_SHELL = shell1 shell2 sh-lib.sh
83 #   SCRIPTS_AWK = talk balk chalk awk-lib.awk
84 #   sbin_SCRIPTS = not-subbed
85 #   EXTRA_DIST = util-script.pl
86 #
87 # with the corresponding files in the repository:
88 #
89 #   fooscript.pl barscript.pl perl-lib.pl.in perlmod.pm.in
90 #   shell1.sh shell2.sh sh-lib.sh.in
91 #   talk.awk balk.awk chalk.awk awk-lib.awk.in
92 #   not-subbed util-script.pl
93 #
94 # by default, all shell and perl scripts are syntax checked.  If this is
95 # a problem (for example, perl scripts depending on Amanda extension 
96 # modules), then assign to CHECK_{PERL,SHELL} the list of files you wish
97 # to be checked (which can be empty).
98 #
99 # To add extra flags to the perl checks (e.g., to add new -I flags), set
100 # CHECK_PERL_FLAGS.
101
102 # Implementation note:
103 #
104 # This file uses config.status to substitute @foo@ in those scripts while
105 # converting them. It also adds the executable bits (a+x) to extensionless
106 # files.  The substitution works even though the files are not listed in 
107 # configure.in
108
109 # vim:ft=automake
110 #
111 # Adjust post-install permissions settings.  This rule works off two
112 # specially-formatted variables, INSTALLPERMS_exec and INSTALLPERMS_data. 
113 # Each is a whitespace-separated list of commands, all of which are either
114 # a variable assignment or a filename.  Three variables are available:
115 #
116 #  - dest= sets the destination directory to e.g., $(sbindir)
117 #  - chown= controls changes in ownership; value is first argument to chown
118 #  - chmod= controls changes in permissions; value is first argument to chmod
119 #
120 # As a special case, chown=amanda is taken as equivalent to 
121 # chown=$(BINARY_OWNER):$(SETUID_GROUP), which may otherwise have problems with
122 # whitespace in the user/group names.
123
124 # when a filename is seen, the currently active variables are applied.
125 #
126 # Note that scripts are data, not executables!
127 #
128 # EXAMPLE
129 #
130 # sbin_PROGRAMS = foo bar bing
131 # libexec_PROGRAMS = pro gram
132 # sbin_SCRIPTS = sk ript
133 # INSTALLPERMS_exec = \
134 #       dest=$(sbindir) chown=amanda chmod= \
135 #               foo bar \
136 #       chmod=07450 \
137 #               bing
138 #       dest=$(libexecdir) chmod= \
139 #               $(libexec_PROGRAMS)
140 # INSTALLPERMS_data = \
141 #       dest=$(sbindir) chown=amanda chmod= \
142 #               $(sbin_SCRIPTS)
143 #
144 # This whole operation is not required when making builds for packaging,
145 # and can be disabled with --disable-installperms, via the WANT_INSTALLPERMS
146 # AM_CONDITIONAL.  When disabled, the file 'installperms.sh' in the top-level
147 # build directory is populated with a format suitable for shell interpretation,
148 # with lines like this:
149 #   installperm "amanda:disk" "04750" "/usr/local/sbin/bing"
150 # the arguments being, respectively, owner:group, mode, and filename.  There will
151 # be exactly one line for each file which has specific permissions.  The intention
152 # is that this file be used by packaging scripts to set correct permissions at install
153 # time.  Note that files which have no special permissions requirements do not appear 
154 # in this file at all, due to limitations of Automake.
155
156 # vim:ft=automake
157
158
159 VPATH = @srcdir@
160 pkgdatadir = $(datadir)/@PACKAGE@
161 pkgincludedir = $(includedir)/@PACKAGE@
162 pkglibdir = $(libdir)/@PACKAGE@
163 pkglibexecdir = $(libexecdir)/@PACKAGE@
164 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
165 install_sh_DATA = $(install_sh) -c -m 644
166 install_sh_PROGRAM = $(install_sh) -c
167 install_sh_SCRIPT = $(install_sh) -c
168 INSTALL_HEADER = $(INSTALL_DATA)
169 transform = $(program_transform_name)
170 NORMAL_INSTALL = :
171 PRE_INSTALL = :
172 POST_INSTALL = :
173 NORMAL_UNINSTALL = :
174 PRE_UNINSTALL = :
175 POST_UNINSTALL = :
176 build_triplet = @build@
177 host_triplet = @host@
178 target_triplet = @target@
179 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
180         $(top_srcdir)/config/automake/installperms.am \
181         $(top_srcdir)/config/automake/precompile.am \
182         $(top_srcdir)/config/automake/scripts.am \
183         $(top_srcdir)/config/automake/vars.am
184 @WANT_INSTALLPERMS_FALSE@am__append_1 = $(installperms_sh)
185 amlibexec_PROGRAMS = teecount$(EXEEXT)
186 applicationexec_PROGRAMS = amgtar$(EXEEXT) amstar$(EXEEXT)
187 @WANT_SETUID_CLIENT_TRUE@am__append_2 = dest=$(applicationdir) chown=root chmod=04750 \
188 @WANT_SETUID_CLIENT_TRUE@                    amgtar amstar
189
190 subdir = application-src
191 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
192 am__aclocal_m4_deps =  \
193         $(top_srcdir)/config/macro-archive/ac_define_dir.m4 \
194         $(top_srcdir)/config/macro-archive/ac_perl_module_version.m4 \
195         $(top_srcdir)/config/macro-archive/ac_prog_perl_version.m4 \
196         $(top_srcdir)/config/macro-archive/ac_prog_swig.m4 \
197         $(top_srcdir)/config/macro-archive/ax_compare_version.m4 \
198         $(top_srcdir)/config/macro-archive/docbook-dtd.m4 \
199         $(top_srcdir)/config/macro-archive/docbook-xslt-min.m4 \
200         $(top_srcdir)/config/macro-archive/docbook-xslt.m4 \
201         $(top_srcdir)/config/macro-archive/xsltproc.m4 \
202         $(top_srcdir)/config/amanda/amplot.m4 \
203         $(top_srcdir)/config/amanda/bsd-security.m4 \
204         $(top_srcdir)/config/amanda/bsdtcp-security.m4 \
205         $(top_srcdir)/config/amanda/bsdudp-security.m4 \
206         $(top_srcdir)/config/amanda/changer.m4 \
207         $(top_srcdir)/config/amanda/components.m4 \
208         $(top_srcdir)/config/amanda/compress.m4 \
209         $(top_srcdir)/config/amanda/config.m4 \
210         $(top_srcdir)/config/amanda/debugging.m4 \
211         $(top_srcdir)/config/amanda/defaults.m4 \
212         $(top_srcdir)/config/amanda/devprefix.m4 \
213         $(top_srcdir)/config/amanda/dirs.m4 \
214         $(top_srcdir)/config/amanda/documentation.m4 \
215         $(top_srcdir)/config/amanda/dumpers.m4 \
216         $(top_srcdir)/config/amanda/flags.m4 \
217         $(top_srcdir)/config/amanda/flock.m4 \
218         $(top_srcdir)/config/amanda/funcs.m4 \
219         $(top_srcdir)/config/amanda/getfsent.m4 \
220         $(top_srcdir)/config/amanda/i18n.m4 \
221         $(top_srcdir)/config/amanda/ipv6.m4 \
222         $(top_srcdir)/config/amanda/krb4-security.m4 \
223         $(top_srcdir)/config/amanda/krb5-security.m4 \
224         $(top_srcdir)/config/amanda/lfs.m4 \
225         $(top_srcdir)/config/amanda/libs.m4 \
226         $(top_srcdir)/config/amanda/net.m4 \
227         $(top_srcdir)/config/amanda/progs.m4 \
228         $(top_srcdir)/config/amanda/ps.m4 \
229         $(top_srcdir)/config/amanda/readdir.m4 \
230         $(top_srcdir)/config/amanda/readline.m4 \
231         $(top_srcdir)/config/amanda/rsh-security.m4 \
232         $(top_srcdir)/config/amanda/s3-device.m4 \
233         $(top_srcdir)/config/amanda/shmem.m4 \
234         $(top_srcdir)/config/amanda/socklen_t_equiv.m4 \
235         $(top_srcdir)/config/amanda/ssh-security.m4 \
236         $(top_srcdir)/config/amanda/summary.m4 \
237         $(top_srcdir)/config/amanda/swig.m4 \
238         $(top_srcdir)/config/amanda/syshacks.m4 \
239         $(top_srcdir)/config/amanda/tape.m4 \
240         $(top_srcdir)/config/amanda/types.m4 \
241         $(top_srcdir)/config/amanda/userid.m4 \
242         $(top_srcdir)/config/amanda/version.m4 \
243         $(top_srcdir)/config/gnulib/alloca.m4 \
244         $(top_srcdir)/config/gnulib/arpa_inet_h.m4 \
245         $(top_srcdir)/config/gnulib/base64.m4 \
246         $(top_srcdir)/config/gnulib/eoverflow.m4 \
247         $(top_srcdir)/config/gnulib/extensions.m4 \
248         $(top_srcdir)/config/gnulib/float_h.m4 \
249         $(top_srcdir)/config/gnulib/fsusage.m4 \
250         $(top_srcdir)/config/gnulib/getaddrinfo.m4 \
251         $(top_srcdir)/config/gnulib/getopt.m4 \
252         $(top_srcdir)/config/gnulib/gettimeofday.m4 \
253         $(top_srcdir)/config/gnulib/gnulib-common.m4 \
254         $(top_srcdir)/config/gnulib/gnulib-comp.m4 \
255         $(top_srcdir)/config/gnulib/include_next.m4 \
256         $(top_srcdir)/config/gnulib/inet_ntop.m4 \
257         $(top_srcdir)/config/gnulib/intmax_t.m4 \
258         $(top_srcdir)/config/gnulib/lock.m4 \
259         $(top_srcdir)/config/gnulib/longlong.m4 \
260         $(top_srcdir)/config/gnulib/malloc.m4 \
261         $(top_srcdir)/config/gnulib/mkdtemp.m4 \
262         $(top_srcdir)/config/gnulib/netinet_in_h.m4 \
263         $(top_srcdir)/config/gnulib/onceonly_2_57.m4 \
264         $(top_srcdir)/config/gnulib/physmem.m4 \
265         $(top_srcdir)/config/gnulib/safe-read.m4 \
266         $(top_srcdir)/config/gnulib/safe-write.m4 \
267         $(top_srcdir)/config/gnulib/snprintf.m4 \
268         $(top_srcdir)/config/gnulib/socklen.m4 \
269         $(top_srcdir)/config/gnulib/sockpfaf.m4 \
270         $(top_srcdir)/config/gnulib/ssize_t.m4 \
271         $(top_srcdir)/config/gnulib/stdbool.m4 \
272         $(top_srcdir)/config/gnulib/stdint.m4 \
273         $(top_srcdir)/config/gnulib/stdio_h.m4 \
274         $(top_srcdir)/config/gnulib/stdlib_h.m4 \
275         $(top_srcdir)/config/gnulib/strdup.m4 \
276         $(top_srcdir)/config/gnulib/string_h.m4 \
277         $(top_srcdir)/config/gnulib/sys_socket_h.m4 \
278         $(top_srcdir)/config/gnulib/sys_stat_h.m4 \
279         $(top_srcdir)/config/gnulib/sys_time_h.m4 \
280         $(top_srcdir)/config/gnulib/tempname.m4 \
281         $(top_srcdir)/config/gnulib/unistd_h.m4 \
282         $(top_srcdir)/config/gnulib/vasnprintf.m4 \
283         $(top_srcdir)/config/gnulib/visibility.m4 \
284         $(top_srcdir)/config/gnulib/wchar.m4 \
285         $(top_srcdir)/config/gettext-macros/gettext.m4 \
286         $(top_srcdir)/config/gettext-macros/iconv.m4 \
287         $(top_srcdir)/config/gettext-macros/inttypes_h.m4 \
288         $(top_srcdir)/config/gettext-macros/lib-ld.m4 \
289         $(top_srcdir)/config/gettext-macros/lib-link.m4 \
290         $(top_srcdir)/config/gettext-macros/lib-prefix.m4 \
291         $(top_srcdir)/config/gettext-macros/nls.m4 \
292         $(top_srcdir)/config/gettext-macros/po.m4 \
293         $(top_srcdir)/config/gettext-macros/progtest.m4 \
294         $(top_srcdir)/config/gettext-macros/size_max.m4 \
295         $(top_srcdir)/config/gettext-macros/stdint_h.m4 \
296         $(top_srcdir)/config/gettext-macros/wchar_t.m4 \
297         $(top_srcdir)/config/gettext-macros/wint_t.m4 \
298         $(top_srcdir)/config/gettext-macros/xsize.m4 \
299         $(top_srcdir)/config/libtool.m4 $(top_srcdir)/configure.in
300 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
301         $(ACLOCAL_M4)
302 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
303 CONFIG_HEADER = $(top_builddir)/config/config.h
304 CONFIG_CLEAN_FILES =
305 CONFIG_CLEAN_VPATH_FILES =
306 am__installdirs = "$(DESTDIR)$(amlibexecdir)" \
307         "$(DESTDIR)$(applicationexecdir)" \
308         "$(DESTDIR)$(applicationexecdir)"
309 PROGRAMS = $(amlibexec_PROGRAMS) $(applicationexec_PROGRAMS)
310 amgtar_SOURCES = amgtar.c
311 amgtar_OBJECTS = amgtar.$(OBJEXT)
312 amgtar_LDADD = $(LDADD)
313 amgtar_DEPENDENCIES = ../common-src/libamanda.$(LIB_EXTENSION) \
314         ../client-src/libamclient.$(LIB_EXTENSION) \
315         ../amandad-src/libamandad.$(LIB_EXTENSION) \
316         ../common-src/libamanda.$(LIB_EXTENSION) \
317         ../gnulib/libgnu.$(LIB_EXTENSION)
318 amstar_SOURCES = amstar.c
319 amstar_OBJECTS = amstar.$(OBJEXT)
320 amstar_LDADD = $(LDADD)
321 amstar_DEPENDENCIES = ../common-src/libamanda.$(LIB_EXTENSION) \
322         ../client-src/libamclient.$(LIB_EXTENSION) \
323         ../amandad-src/libamandad.$(LIB_EXTENSION) \
324         ../common-src/libamanda.$(LIB_EXTENSION) \
325         ../gnulib/libgnu.$(LIB_EXTENSION)
326 teecount_SOURCES = teecount.c
327 teecount_OBJECTS = teecount.$(OBJEXT)
328 teecount_LDADD = $(LDADD)
329 teecount_DEPENDENCIES = ../common-src/libamanda.$(LIB_EXTENSION) \
330         ../client-src/libamclient.$(LIB_EXTENSION) \
331         ../amandad-src/libamandad.$(LIB_EXTENSION) \
332         ../common-src/libamanda.$(LIB_EXTENSION) \
333         ../gnulib/libgnu.$(LIB_EXTENSION)
334 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
335 am__vpath_adj = case $$p in \
336     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
337     *) f=$$p;; \
338   esac;
339 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
340 am__install_max = 40
341 am__nobase_strip_setup = \
342   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
343 am__nobase_strip = \
344   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
345 am__nobase_list = $(am__nobase_strip_setup); \
346   for p in $$list; do echo "$$p $$p"; done | \
347   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
348   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
349     if (++n[$$2] == $(am__install_max)) \
350       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
351     END { for (dir in files) print dir, files[dir] }'
352 am__base_list = \
353   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
354   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
355 SCRIPTS = $(applicationexec_SCRIPTS)
356 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/config
357 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
358 am__depfiles_maybe = depfiles
359 am__mv = mv -f
360 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
361         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
362 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
363         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
364         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
365 CCLD = $(CC)
366 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
367         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
368         $(LDFLAGS) -o $@
369 SOURCES = amgtar.c amstar.c teecount.c
370 DIST_SOURCES = amgtar.c amstar.c teecount.c
371 ETAGS = etags
372 CTAGS = ctags
373 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
374 ACLOCAL = @ACLOCAL@
375 AIX_BACKUP = @AIX_BACKUP@
376 ALLOCA = @ALLOCA@
377 ALLOCA_H = @ALLOCA_H@
378 AMANDA_DBGDIR = @AMANDA_DBGDIR@
379 AMANDA_DEBUG_DAYS = @AMANDA_DEBUG_DAYS@
380 AMANDA_STATIC_LDFLAGS = @AMANDA_STATIC_LDFLAGS@
381 AMANDA_TMPDIR = @AMANDA_TMPDIR@
382 AMANDA_WARNING_CFLAGS = @AMANDA_WARNING_CFLAGS@
383 AMLINT = @AMLINT@
384 AMLINTFLAGS = @AMLINTFLAGS@
385 AMPLOT_CAT_COMPRESS = @AMPLOT_CAT_COMPRESS@
386 AMPLOT_CAT_GZIP = @AMPLOT_CAT_GZIP@
387 AMPLOT_CAT_PACK = @AMPLOT_CAT_PACK@
388 AMPLOT_COMPRESS = @AMPLOT_COMPRESS@
389 AMTAR = @AMTAR@
390 APPLICATION_DIR = @APPLICATION_DIR@
391 AR = @AR@
392 ARPA_INET_H = @ARPA_INET_H@
393 ASSERTIONS = @ASSERTIONS@
394 AUTOCONF = @AUTOCONF@
395 AUTOHEADER = @AUTOHEADER@
396 AUTOMAKE = @AUTOMAKE@
397 AWK = @AWK@
398 BASH = @BASH@
399 BINARY_OWNER = @BINARY_OWNER@
400 BITSIZEOF_PTRDIFF_T = @BITSIZEOF_PTRDIFF_T@
401 BITSIZEOF_SIG_ATOMIC_T = @BITSIZEOF_SIG_ATOMIC_T@
402 BITSIZEOF_SIZE_T = @BITSIZEOF_SIZE_T@
403 BITSIZEOF_WCHAR_T = @BITSIZEOF_WCHAR_T@
404 BITSIZEOF_WINT_T = @BITSIZEOF_WINT_T@
405 BSDTCP_SECURITY = @BSDTCP_SECURITY@
406 BSDUDP_SECURITY = @BSDUDP_SECURITY@
407 BSD_SECURITY = @BSD_SECURITY@
408 CAT = @CAT@
409 CC = @CC@
410 CCDEPMODE = @CCDEPMODE@
411 CFLAGS = @CFLAGS@
412 CFLAG_VISIBILITY = @CFLAG_VISIBILITY@
413 CHECK_USERID = @CHECK_USERID@
414 CHIO = @CHIO@
415 CHS = @CHS@
416 CLIENT_HOST_INSTANCE = @CLIENT_HOST_INSTANCE@
417 CLIENT_HOST_KEY_FILE = @CLIENT_HOST_KEY_FILE@
418 CLIENT_HOST_PRINCIPAL = @CLIENT_HOST_PRINCIPAL@
419 CLIENT_LOGIN = @CLIENT_LOGIN@
420 CLIENT_SCRIPTS_OPT = @CLIENT_SCRIPTS_OPT@
421 COMPRESS = @COMPRESS@
422 COMPRESS_BEST_OPT = @COMPRESS_BEST_OPT@
423 COMPRESS_FAST_OPT = @COMPRESS_FAST_OPT@
424 COMPRESS_PATH = @COMPRESS_PATH@
425 COMPRESS_SUFFIX = @COMPRESS_SUFFIX@
426 CONFIG_CLOBBER_MY_CONFIG = @CONFIG_CLOBBER_MY_CONFIG@
427 CONFIG_DIR = @CONFIG_DIR@
428 CPP = @CPP@
429 CPPFLAGS = @CPPFLAGS@
430 CURL_CONFIG = @CURL_CONFIG@
431 CXX = @CXX@
432 CXXCPP = @CXXCPP@
433 CXXDEPMODE = @CXXDEPMODE@
434 CXXFLAGS = @CXXFLAGS@
435 CYGPATH_W = @CYGPATH_W@
436 DD = @DD@
437 DEFAULT_AMANDATES_FILE = @DEFAULT_AMANDATES_FILE@
438 DEFAULT_CHANGER_DEVICE = @DEFAULT_CHANGER_DEVICE@
439 DEFAULT_CONFIG = @DEFAULT_CONFIG@
440 DEFAULT_MAILER = @DEFAULT_MAILER@
441 DEFAULT_SERVER = @DEFAULT_SERVER@
442 DEFAULT_TAPE_DEVICE = @DEFAULT_TAPE_DEVICE@
443 DEFAULT_TAPE_SERVER = @DEFAULT_TAPE_SERVER@
444 DEFS = @DEFS@
445 DEPDIR = @DEPDIR@
446 DOC_BUILD_DATE = @DOC_BUILD_DATE@
447 DUMP = @DUMP@
448 DUMP_RETURNS_1 = @DUMP_RETURNS_1@
449 ECHO = @ECHO@
450 ECHO_C = @ECHO_C@
451 ECHO_N = @ECHO_N@
452 ECHO_T = @ECHO_T@
453 EGREP = @EGREP@
454 EOVERFLOW = @EOVERFLOW@
455 EXAMPLE_TAPEDEV = @EXAMPLE_TAPEDEV@
456 EXEEXT = @EXEEXT@
457 F77 = @F77@
458 FFLAGS = @FFLAGS@
459 FLOAT_H = @FLOAT_H@
460 GETCONF = @GETCONF@
461 GETOPT_H = @GETOPT_H@
462 GETTEXT = @GETTEXT@
463 GLIB_CFLAGS = @GLIB_CFLAGS@
464 GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
465 GLIB_LIBS = @GLIB_LIBS@
466 GLIB_MKENUMS = @GLIB_MKENUMS@
467 GMSGFMT = @GMSGFMT@
468 GMSGFMT_015 = @GMSGFMT_015@
469 GNULIB_CALLOC_POSIX = @GNULIB_CALLOC_POSIX@
470 GNULIB_CHOWN = @GNULIB_CHOWN@
471 GNULIB_DUP2 = @GNULIB_DUP2@
472 GNULIB_ENVIRON = @GNULIB_ENVIRON@
473 GNULIB_FCHDIR = @GNULIB_FCHDIR@
474 GNULIB_FFLUSH = @GNULIB_FFLUSH@
475 GNULIB_FOPEN = @GNULIB_FOPEN@
476 GNULIB_FPRINTF_POSIX = @GNULIB_FPRINTF_POSIX@
477 GNULIB_FREOPEN = @GNULIB_FREOPEN@
478 GNULIB_FSEEK = @GNULIB_FSEEK@
479 GNULIB_FSEEKO = @GNULIB_FSEEKO@
480 GNULIB_FTELL = @GNULIB_FTELL@
481 GNULIB_FTELLO = @GNULIB_FTELLO@
482 GNULIB_FTRUNCATE = @GNULIB_FTRUNCATE@
483 GNULIB_GETCWD = @GNULIB_GETCWD@
484 GNULIB_GETDELIM = @GNULIB_GETDELIM@
485 GNULIB_GETLINE = @GNULIB_GETLINE@
486 GNULIB_GETLOGIN_R = @GNULIB_GETLOGIN_R@
487 GNULIB_GETPAGESIZE = @GNULIB_GETPAGESIZE@
488 GNULIB_GETSUBOPT = @GNULIB_GETSUBOPT@
489 GNULIB_LCHOWN = @GNULIB_LCHOWN@
490 GNULIB_LSEEK = @GNULIB_LSEEK@
491 GNULIB_MALLOC_POSIX = @GNULIB_MALLOC_POSIX@
492 GNULIB_MBSCASECMP = @GNULIB_MBSCASECMP@
493 GNULIB_MBSCASESTR = @GNULIB_MBSCASESTR@
494 GNULIB_MBSCHR = @GNULIB_MBSCHR@
495 GNULIB_MBSCSPN = @GNULIB_MBSCSPN@
496 GNULIB_MBSLEN = @GNULIB_MBSLEN@
497 GNULIB_MBSNCASECMP = @GNULIB_MBSNCASECMP@
498 GNULIB_MBSNLEN = @GNULIB_MBSNLEN@
499 GNULIB_MBSPBRK = @GNULIB_MBSPBRK@
500 GNULIB_MBSPCASECMP = @GNULIB_MBSPCASECMP@
501 GNULIB_MBSRCHR = @GNULIB_MBSRCHR@
502 GNULIB_MBSSEP = @GNULIB_MBSSEP@
503 GNULIB_MBSSPN = @GNULIB_MBSSPN@
504 GNULIB_MBSSTR = @GNULIB_MBSSTR@
505 GNULIB_MBSTOK_R = @GNULIB_MBSTOK_R@
506 GNULIB_MEMMEM = @GNULIB_MEMMEM@
507 GNULIB_MEMPCPY = @GNULIB_MEMPCPY@
508 GNULIB_MEMRCHR = @GNULIB_MEMRCHR@
509 GNULIB_MKDTEMP = @GNULIB_MKDTEMP@
510 GNULIB_MKSTEMP = @GNULIB_MKSTEMP@
511 GNULIB_PRINTF_POSIX = @GNULIB_PRINTF_POSIX@
512 GNULIB_PUTENV = @GNULIB_PUTENV@
513 GNULIB_READLINK = @GNULIB_READLINK@
514 GNULIB_REALLOC_POSIX = @GNULIB_REALLOC_POSIX@
515 GNULIB_SETENV = @GNULIB_SETENV@
516 GNULIB_SLEEP = @GNULIB_SLEEP@
517 GNULIB_SNPRINTF = @GNULIB_SNPRINTF@
518 GNULIB_SPRINTF_POSIX = @GNULIB_SPRINTF_POSIX@
519 GNULIB_STPCPY = @GNULIB_STPCPY@
520 GNULIB_STPNCPY = @GNULIB_STPNCPY@
521 GNULIB_STRCASESTR = @GNULIB_STRCASESTR@
522 GNULIB_STRCHRNUL = @GNULIB_STRCHRNUL@
523 GNULIB_STRDUP = @GNULIB_STRDUP@
524 GNULIB_STRERROR = @GNULIB_STRERROR@
525 GNULIB_STRNDUP = @GNULIB_STRNDUP@
526 GNULIB_STRNLEN = @GNULIB_STRNLEN@
527 GNULIB_STRPBRK = @GNULIB_STRPBRK@
528 GNULIB_STRSEP = @GNULIB_STRSEP@
529 GNULIB_STRSIGNAL = @GNULIB_STRSIGNAL@
530 GNULIB_STRSTR = @GNULIB_STRSTR@
531 GNULIB_STRTOK_R = @GNULIB_STRTOK_R@
532 GNULIB_UNSETENV = @GNULIB_UNSETENV@
533 GNULIB_VASPRINTF = @GNULIB_VASPRINTF@
534 GNULIB_VFPRINTF_POSIX = @GNULIB_VFPRINTF_POSIX@
535 GNULIB_VPRINTF_POSIX = @GNULIB_VPRINTF_POSIX@
536 GNULIB_VSNPRINTF = @GNULIB_VSNPRINTF@
537 GNULIB_VSPRINTF_POSIX = @GNULIB_VSPRINTF_POSIX@
538 GNULIB_WCWIDTH = @GNULIB_WCWIDTH@
539 GNUPLOT = @GNUPLOT@
540 GNUTAR = @GNUTAR@
541 GNUTAR_LISTED_INCREMENTAL_DIR = @GNUTAR_LISTED_INCREMENTAL_DIR@
542 GOBJECT_QUERY = @GOBJECT_QUERY@
543 GREP = @GREP@
544 GZIP = @GZIP@
545 HAVE_CALLOC_POSIX = @HAVE_CALLOC_POSIX@
546 HAVE_DECL_ENVIRON = @HAVE_DECL_ENVIRON@
547 HAVE_DECL_GETDELIM = @HAVE_DECL_GETDELIM@
548 HAVE_DECL_GETLINE = @HAVE_DECL_GETLINE@
549 HAVE_DECL_GETLOGIN_R = @HAVE_DECL_GETLOGIN_R@
550 HAVE_DECL_MEMMEM = @HAVE_DECL_MEMMEM@
551 HAVE_DECL_MEMRCHR = @HAVE_DECL_MEMRCHR@
552 HAVE_DECL_MKDIR = @HAVE_DECL_MKDIR@
553 HAVE_DECL_SNPRINTF = @HAVE_DECL_SNPRINTF@
554 HAVE_DECL_STRDUP = @HAVE_DECL_STRDUP@
555 HAVE_DECL_STRERROR = @HAVE_DECL_STRERROR@
556 HAVE_DECL_STRNDUP = @HAVE_DECL_STRNDUP@
557 HAVE_DECL_STRNLEN = @HAVE_DECL_STRNLEN@
558 HAVE_DECL_STRSIGNAL = @HAVE_DECL_STRSIGNAL@
559 HAVE_DECL_STRTOK_R = @HAVE_DECL_STRTOK_R@
560 HAVE_DECL_VSNPRINTF = @HAVE_DECL_VSNPRINTF@
561 HAVE_DECL_WCWIDTH = @HAVE_DECL_WCWIDTH@
562 HAVE_DUP2 = @HAVE_DUP2@
563 HAVE_FSEEKO = @HAVE_FSEEKO@
564 HAVE_FTELLO = @HAVE_FTELLO@
565 HAVE_FTRUNCATE = @HAVE_FTRUNCATE@
566 HAVE_GETPAGESIZE = @HAVE_GETPAGESIZE@
567 HAVE_GETSUBOPT = @HAVE_GETSUBOPT@
568 HAVE_GZIP = @HAVE_GZIP@
569 HAVE_INTTYPES_H = @HAVE_INTTYPES_H@
570 HAVE_IO_H = @HAVE_IO_H@
571 HAVE_LONG_LONG_INT = @HAVE_LONG_LONG_INT@
572 HAVE_LSTAT = @HAVE_LSTAT@
573 HAVE_MALLOC_POSIX = @HAVE_MALLOC_POSIX@
574 HAVE_MEMPCPY = @HAVE_MEMPCPY@
575 HAVE_MKDTEMP = @HAVE_MKDTEMP@
576 HAVE_NETINET_IN_H = @HAVE_NETINET_IN_H@
577 HAVE_OS_H = @HAVE_OS_H@
578 HAVE_READLINK = @HAVE_READLINK@
579 HAVE_REALLOC_POSIX = @HAVE_REALLOC_POSIX@
580 HAVE_SETENV = @HAVE_SETENV@
581 HAVE_SIGNED_SIG_ATOMIC_T = @HAVE_SIGNED_SIG_ATOMIC_T@
582 HAVE_SIGNED_WCHAR_T = @HAVE_SIGNED_WCHAR_T@
583 HAVE_SIGNED_WINT_T = @HAVE_SIGNED_WINT_T@
584 HAVE_SLEEP = @HAVE_SLEEP@
585 HAVE_STDINT_H = @HAVE_STDINT_H@
586 HAVE_STPCPY = @HAVE_STPCPY@
587 HAVE_STPNCPY = @HAVE_STPNCPY@
588 HAVE_STRCASESTR = @HAVE_STRCASESTR@
589 HAVE_STRCHRNUL = @HAVE_STRCHRNUL@
590 HAVE_STRNDUP = @HAVE_STRNDUP@
591 HAVE_STRPBRK = @HAVE_STRPBRK@
592 HAVE_STRSEP = @HAVE_STRSEP@
593 HAVE_STRUCT_TIMEVAL = @HAVE_STRUCT_TIMEVAL@
594 HAVE_SYS_BITYPES_H = @HAVE_SYS_BITYPES_H@
595 HAVE_SYS_INTTYPES_H = @HAVE_SYS_INTTYPES_H@
596 HAVE_SYS_PARAM_H = @HAVE_SYS_PARAM_H@
597 HAVE_SYS_SOCKET_H = @HAVE_SYS_SOCKET_H@
598 HAVE_SYS_TIME_H = @HAVE_SYS_TIME_H@
599 HAVE_SYS_TYPES_H = @HAVE_SYS_TYPES_H@
600 HAVE_UNISTD_H = @HAVE_UNISTD_H@
601 HAVE_UNSETENV = @HAVE_UNSETENV@
602 HAVE_UNSIGNED_LONG_LONG_INT = @HAVE_UNSIGNED_LONG_LONG_INT@
603 HAVE_VASPRINTF = @HAVE_VASPRINTF@
604 HAVE_VISIBILITY = @HAVE_VISIBILITY@
605 HAVE_WCHAR_H = @HAVE_WCHAR_H@
606 HAVE_WINSOCK2_H = @HAVE_WINSOCK2_H@
607 HAVE_WS2TCPIP_H = @HAVE_WS2TCPIP_H@
608 HAVE__BOOL = @HAVE__BOOL@
609 INCLUDE_NEXT = @INCLUDE_NEXT@
610 INSTALL = @INSTALL@
611 INSTALL_DATA = @INSTALL_DATA@
612 INSTALL_PROGRAM = @INSTALL_PROGRAM@
613 INSTALL_SCRIPT = @INSTALL_SCRIPT@
614 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
615 INTLLIBS = @INTLLIBS@
616 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
617 KRB4_SECURITY = @KRB4_SECURITY@
618 KRB5_SECURITY = @KRB5_SECURITY@
619 LDFLAGS = @LDFLAGS@
620 LEX = @LEX@
621 LEXLIB = @LEXLIB@
622 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
623 LIBCURL = @LIBCURL@
624 LIBCURL_CPPFLAGS = @LIBCURL_CPPFLAGS@
625 LIBICONV = @LIBICONV@
626 LIBINTL = @LIBINTL@
627 LIBMULTITHREAD = @LIBMULTITHREAD@
628 LIBOBJS = @LIBOBJS@
629 LIBPTH = @LIBPTH@
630 LIBS = @LIBS@
631 LIBTHREAD = @LIBTHREAD@
632 LIBTOOL = @LIBTOOL@
633 LIBTOOL_DEPS = @LIBTOOL_DEPS@
634 LN_S = @LN_S@
635 LOCKING = @LOCKING@
636 LOW_TCPPORTRANGE = @LOW_TCPPORTRANGE@
637 LTLIBICONV = @LTLIBICONV@
638 LTLIBINTL = @LTLIBINTL@
639 LTLIBMULTITHREAD = @LTLIBMULTITHREAD@
640 LTLIBOBJS = @LTLIBOBJS@
641 LTLIBPTH = @LTLIBPTH@
642 LTLIBTHREAD = @LTLIBTHREAD@
643 MAILER = @MAILER@
644 MAKEINFO = @MAKEINFO@
645 MCUTIL = @MCUTIL@
646 MKDIR_P = @MKDIR_P@
647 MSGFMT = @MSGFMT@
648 MSGFMT_015 = @MSGFMT_015@
649 MSGMERGE = @MSGMERGE@
650 MT = @MT@
651 MTX = @MTX@
652 MT_FILE_FLAG = @MT_FILE_FLAG@
653 NETINET_IN_H = @NETINET_IN_H@
654 NEXT_FLOAT_H = @NEXT_FLOAT_H@
655 NEXT_NETINET_IN_H = @NEXT_NETINET_IN_H@
656 NEXT_STDINT_H = @NEXT_STDINT_H@
657 NEXT_STDIO_H = @NEXT_STDIO_H@
658 NEXT_STDLIB_H = @NEXT_STDLIB_H@
659 NEXT_STRING_H = @NEXT_STRING_H@
660 NEXT_SYS_SOCKET_H = @NEXT_SYS_SOCKET_H@
661 NEXT_SYS_STAT_H = @NEXT_SYS_STAT_H@
662 NEXT_SYS_TIME_H = @NEXT_SYS_TIME_H@
663 NEXT_UNISTD_H = @NEXT_UNISTD_H@
664 NEXT_WCHAR_H = @NEXT_WCHAR_H@
665 OBJEXT = @OBJEXT@
666 PACKAGE = @PACKAGE@
667 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
668 PACKAGE_NAME = @PACKAGE_NAME@
669 PACKAGE_STRING = @PACKAGE_STRING@
670 PACKAGE_TARNAME = @PACKAGE_TARNAME@
671 PACKAGE_VERSION = @PACKAGE_VERSION@
672 PATH_SEPARATOR = @PATH_SEPARATOR@
673 PCAT = @PCAT@
674 PERL = @PERL@
675 PERLEXTLIBS = @PERLEXTLIBS@
676 PERL_INC = @PERL_INC@
677 PKG_CONFIG = @PKG_CONFIG@
678 POSUB = @POSUB@
679 PRINT = @PRINT@
680 PS = @PS@
681 PS_ARGUMENT = @PS_ARGUMENT@
682 PTRDIFF_T_SUFFIX = @PTRDIFF_T_SUFFIX@
683 RANLIB = @RANLIB@
684 READLINE_LIBS = @READLINE_LIBS@
685 REPLACE_CHOWN = @REPLACE_CHOWN@
686 REPLACE_FCHDIR = @REPLACE_FCHDIR@
687 REPLACE_FFLUSH = @REPLACE_FFLUSH@
688 REPLACE_FOPEN = @REPLACE_FOPEN@
689 REPLACE_FPRINTF = @REPLACE_FPRINTF@
690 REPLACE_FREOPEN = @REPLACE_FREOPEN@
691 REPLACE_FSEEK = @REPLACE_FSEEK@
692 REPLACE_FSEEKO = @REPLACE_FSEEKO@
693 REPLACE_FTELL = @REPLACE_FTELL@
694 REPLACE_FTELLO = @REPLACE_FTELLO@
695 REPLACE_GETCWD = @REPLACE_GETCWD@
696 REPLACE_GETLINE = @REPLACE_GETLINE@
697 REPLACE_GETPAGESIZE = @REPLACE_GETPAGESIZE@
698 REPLACE_GETTIMEOFDAY = @REPLACE_GETTIMEOFDAY@
699 REPLACE_LCHOWN = @REPLACE_LCHOWN@
700 REPLACE_LSEEK = @REPLACE_LSEEK@
701 REPLACE_MEMMEM = @REPLACE_MEMMEM@
702 REPLACE_MKSTEMP = @REPLACE_MKSTEMP@
703 REPLACE_PRINTF = @REPLACE_PRINTF@
704 REPLACE_PUTENV = @REPLACE_PUTENV@
705 REPLACE_SNPRINTF = @REPLACE_SNPRINTF@
706 REPLACE_SPRINTF = @REPLACE_SPRINTF@
707 REPLACE_STRCASESTR = @REPLACE_STRCASESTR@
708 REPLACE_STRERROR = @REPLACE_STRERROR@
709 REPLACE_STRSIGNAL = @REPLACE_STRSIGNAL@
710 REPLACE_STRSTR = @REPLACE_STRSTR@
711 REPLACE_VASPRINTF = @REPLACE_VASPRINTF@
712 REPLACE_VFPRINTF = @REPLACE_VFPRINTF@
713 REPLACE_VPRINTF = @REPLACE_VPRINTF@
714 REPLACE_VSNPRINTF = @REPLACE_VSNPRINTF@
715 REPLACE_VSPRINTF = @REPLACE_VSPRINTF@
716 REPLACE_WCWIDTH = @REPLACE_WCWIDTH@
717 RESTORE = @RESTORE@
718 RSH_SECURITY = @RSH_SECURITY@
719 SAMBA_CLIENT = @SAMBA_CLIENT@
720 SERVER_HOST_INSTANCE = @SERVER_HOST_INSTANCE@
721 SERVER_HOST_KEY_FILE = @SERVER_HOST_KEY_FILE@
722 SERVER_HOST_PRINCIPAL = @SERVER_HOST_PRINCIPAL@
723 SERVICE_SUFFIX = @SERVICE_SUFFIX@
724 SETUID_GROUP = @SETUID_GROUP@
725 SET_MAKE = @SET_MAKE@
726 SHELL = @SHELL@
727 SIG_ATOMIC_T_SUFFIX = @SIG_ATOMIC_T_SUFFIX@
728 SIZE_T_SUFFIX = @SIZE_T_SUFFIX@
729 SNAPSHOT_STAMP = @SNAPSHOT_STAMP@
730 SORT = @SORT@
731 SSH = @SSH@
732 SSH_SECURITY = @SSH_SECURITY@
733 STDBOOL_H = @STDBOOL_H@
734 STDINT_H = @STDINT_H@
735 STRIP = @STRIP@
736 SVN = @SVN@
737 SWIG = @SWIG@
738 SWIG_LIB = @SWIG_LIB@
739 SYS_SOCKET_H = @SYS_SOCKET_H@
740 SYS_STAT_H = @SYS_STAT_H@
741 SYS_TIME_H = @SYS_TIME_H@
742 TCPPORTRANGE = @TCPPORTRANGE@
743 TICKET_LIFETIME = @TICKET_LIFETIME@
744 UDPPORTRANGE = @UDPPORTRANGE@
745 UNCOMPRESS_OPT = @UNCOMPRESS_OPT@
746 UNCOMPRESS_PATH = @UNCOMPRESS_PATH@
747 USE_AMANDAHOSTS = @USE_AMANDAHOSTS@
748 USE_NLS = @USE_NLS@
749 USE_RUNDUMP = @USE_RUNDUMP@
750 USE_VERSION_SUFFIXES = @USE_VERSION_SUFFIXES@
751 VDUMP = @VDUMP@
752 VERSION = @VERSION@
753 VERSION_COMMENT = @VERSION_COMMENT@
754 VERSION_MAJOR = @VERSION_MAJOR@
755 VERSION_MINOR = @VERSION_MINOR@
756 VERSION_PATCH = @VERSION_PATCH@
757 VERSION_SUFFIX = @VERSION_SUFFIX@
758 VOID_UNSETENV = @VOID_UNSETENV@
759 VRESTORE = @VRESTORE@
760 VXDUMP = @VXDUMP@
761 VXRESTORE = @VXRESTORE@
762 WCHAR_H = @WCHAR_H@
763 WCHAR_T_SUFFIX = @WCHAR_T_SUFFIX@
764 WINT_T_SUFFIX = @WINT_T_SUFFIX@
765 XFSDUMP = @XFSDUMP@
766 XFSRESTORE = @XFSRESTORE@
767 XGETTEXT = @XGETTEXT@
768 XGETTEXT_015 = @XGETTEXT_015@
769 XSLREL = @XSLREL@
770 XSLTPROC = @XSLTPROC@
771 XSLTPROC_FLAGS = @XSLTPROC_FLAGS@
772 YACC = @YACC@
773 YFLAGS = @YFLAGS@
774 _libcurl_config = @_libcurl_config@
775 abs_builddir = @abs_builddir@
776 abs_srcdir = @abs_srcdir@
777 abs_top_builddir = @abs_top_builddir@
778 abs_top_srcdir = @abs_top_srcdir@
779 ac_ct_CC = @ac_ct_CC@
780 ac_ct_CXX = @ac_ct_CXX@
781 ac_ct_F77 = @ac_ct_F77@
782 am__include = @am__include@
783 am__leading_dot = @am__leading_dot@
784 am__quote = @am__quote@
785 am__tar = @am__tar@
786 am__untar = @am__untar@
787 amdatadir = @amdatadir@
788 amincludedir = @amincludedir@
789 amlibdir = @amlibdir@
790 amlibexecdir = @amlibexecdir@
791 amperldir = @amperldir@
792 bindir = @bindir@
793 build = @build@
794 build_alias = @build_alias@
795 build_cpu = @build_cpu@
796 build_os = @build_os@
797 build_vendor = @build_vendor@
798 builddir = @builddir@
799 datadir = @datadir@
800 datarootdir = @datarootdir@
801 docdir = @docdir@
802 dvidir = @dvidir@
803 exec_prefix = @exec_prefix@
804 gl_LIBOBJS = @gl_LIBOBJS@
805 gl_LTLIBOBJS = @gl_LTLIBOBJS@
806 gltests_LIBOBJS = @gltests_LIBOBJS@
807 gltests_LTLIBOBJS = @gltests_LTLIBOBJS@
808 host = @host@
809 host_alias = @host_alias@
810 host_cpu = @host_cpu@
811 host_os = @host_os@
812 host_vendor = @host_vendor@
813 htmldir = @htmldir@
814 includedir = @includedir@
815 infodir = @infodir@
816 install_sh = @install_sh@
817 libdir = @libdir@
818 libexecdir = @libexecdir@
819 localedir = @localedir@
820 localstatedir = @localstatedir@
821 mandir = @mandir@
822 mkdir_p = @mkdir_p@
823 oldincludedir = @oldincludedir@
824 pdfdir = @pdfdir@
825 prefix = @prefix@
826 program_transform_name = @program_transform_name@
827 psdir = @psdir@
828 sbindir = @sbindir@
829 sharedstatedir = @sharedstatedir@
830 srcdir = @srcdir@
831 sysconfdir = @sysconfdir@
832 target = @target@
833 target_alias = @target_alias@
834 target_cpu = @target_cpu@
835 target_os = @target_os@
836 target_vendor = @target_vendor@
837 top_build_prefix = @top_build_prefix@
838 top_builddir = @top_builddir@
839 top_srcdir = @top_srcdir@
840 SUFFIXES = 
841 EXTRA_DIST = 
842 BUILT_SOURCES = 
843 MOSTLYCLEANFILES = 
844
845 # config.status leaves config.log files around
846 CLEANFILES = config.log
847
848 # and we'll need to clean up our generated files for distclean
849 DISTCLEANFILES = $(SCRIPTS_SHELL) $(SCRIPTS_PERL) $(SCRIPTS_AWK) \
850         $(SCRIPTS_INCLUDE) $(am__append_1)
851 MAINTAINERCLEANFILES = 
852
853 # syntax-check shell scripts on 'make check'
854 CHECK_SHELL = $(SCRIPTS_SHELL)
855
856 # sed expression to strip leading directories from a filename; this converts e.g.,
857 # src/foo/bar.so to bar.so.
858 strip_leading_dirs = s|^.*/||
859 @WANT_INSTALLPERMS_FALSE@do_file = pa="$$dest"/`echo "$$cmd"|sed '$(strip_leading_dirs)'|sed '$(transform)'`; \
860 @WANT_INSTALLPERMS_FALSE@    echo "installperm \"$$chown\" \"$$chmod\" \"$$pa\"" >> "$(installperms_sh)"
861
862
863 # define a snippet of the scripts below to either perform a chown/chmod operation,
864 # or record that operation in the logfile.  On entry to the snippet, $$dest is the
865 # destination directory, $$cmd is the srcdir-relative pathname of the target file,
866 # $$chown is the ownership, and $$chmod is the permission pattern.
867 @WANT_INSTALLPERMS_TRUE@do_file = pa="$(DESTDIR)$$dest"/`echo "$$cmd"|sed '$(strip_leading_dirs)'|sed '$(transform)'`; \
868 @WANT_INSTALLPERMS_TRUE@    if test -n "$$chown"; then \
869 @WANT_INSTALLPERMS_TRUE@        echo chown "$$chown" "$$pa"; \
870 @WANT_INSTALLPERMS_TRUE@        chown "$$chown" "$$pa" || exit 1; \
871 @WANT_INSTALLPERMS_TRUE@    fi; \
872 @WANT_INSTALLPERMS_TRUE@    if test -n "$$chmod"; then \
873 @WANT_INSTALLPERMS_TRUE@        echo chmod "$$chmod" "$$pa"; \
874 @WANT_INSTALLPERMS_TRUE@        chmod "$$chmod" "$$pa" || exit 1; \
875 @WANT_INSTALLPERMS_TRUE@    fi 
876
877 @WANT_INSTALLPERMS_FALSE@installperms_sh = "$(top_builddir)/installperms.sh"
878 INCLUDES = -I$(top_builddir)/common-src \
879                 -I$(top_srcdir)/common-src \
880                 -I$(top_srcdir)/client-src \
881                 -I$(top_srcdir)/amandad-src \
882                 -I$(top_srcdir)/gnulib
883
884 LINT = $(AMLINT)
885 LINTFLAGS = $(AMLINTFLAGS)
886 LIB_EXTENSION = la
887 AM_CFLAGS = $(AMANDA_WARNING_CFLAGS)
888 AM_LDFLAGS = $(AMANDA_STATIC_LDFLAGS)
889 CHECK_PERL = amgtar_perl \
890              script-email \
891              amlog-script \
892              amzfs-sendrecv \
893              amzfs-snapshot \
894              amsamba
895
896 SCRIPTS_PERL = $(CHECK_PERL)
897 SCRIPTS_SHELL = $(amlibexec_SCRIPTS)
898
899 #We use two variables, applicationdir applicationexecdir, to segregate the
900 #platform-independent (applicationdir) files installed by install-data from the
901 #platform-dependent files (applicationexecdir) installed by install-exec. 
902 #Automake recognizes the 'exec' substring in the variable name.  From the
903 #Automake manual: "Any variable using a user-defined directory prefix with
904 #‘exec’ in the name (e.g., myexecbin_PROGRAMS) is installed by install-exec.
905 #All other user-defined prefixes are installed by install-data." (section 12.2)
906 applicationexecdir = $(APPLICATION_DIR)
907 applicationdir = $(APPLICATION_DIR)
908 applicationexec_SCRIPTS = $(SCRIPTS_PERL)
909 LDADD = ../common-src/libamanda.$(LIB_EXTENSION) \
910         ../client-src/libamclient.$(LIB_EXTENSION) \
911         ../amandad-src/libamandad.$(LIB_EXTENSION) \
912         ../common-src/libamanda.$(LIB_EXTENSION) \
913         ../gnulib/libgnu.$(LIB_EXTENSION)
914
915 INSTALLPERMS_exec = dest=$(amlibexecdir) chown=amanda \
916         $(amlibexec_PROGRAMS) dest=$(applicationdir) chown=amanda \
917         $(applicationexec_PROGRAMS) dest=$(applicationdir) \
918         chown=amanda $(applicationexec_SCRIPTS) $(am__append_2)
919 INSTALLPERMS_data = dest=$(amlibexecdir) chown=amanda $(amlibexec_SCRIPTS)
920 all: $(BUILT_SOURCES)
921         $(MAKE) $(AM_MAKEFLAGS) all-am
922
923 .SUFFIXES:
924 .SUFFIXES: .c .lo .o .obj
925 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/config/automake/vars.am $(top_srcdir)/config/automake/scripts.am $(top_srcdir)/config/automake/installperms.am $(top_srcdir)/config/automake/precompile.am $(am__configure_deps)
926         @for dep in $?; do \
927           case '$(am__configure_deps)' in \
928             *$$dep*) \
929               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
930                 && { if test -f $@; then exit 0; else break; fi; }; \
931               exit 1;; \
932           esac; \
933         done; \
934         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu application-src/Makefile'; \
935         $(am__cd) $(top_srcdir) && \
936           $(AUTOMAKE) --gnu application-src/Makefile
937 .PRECIOUS: Makefile
938 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
939         @case '$?' in \
940           *config.status*) \
941             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
942           *) \
943             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
944             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
945         esac;
946
947 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
948         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
949
950 $(top_srcdir)/configure:  $(am__configure_deps)
951         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
952 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
953         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
954 $(am__aclocal_m4_deps):
955 install-amlibexecPROGRAMS: $(amlibexec_PROGRAMS)
956         @$(NORMAL_INSTALL)
957         test -z "$(amlibexecdir)" || $(MKDIR_P) "$(DESTDIR)$(amlibexecdir)"
958         @list='$(amlibexec_PROGRAMS)'; test -n "$(amlibexecdir)" || list=; \
959         for p in $$list; do echo "$$p $$p"; done | \
960         sed 's/$(EXEEXT)$$//' | \
961         while read p p1; do if test -f $$p || test -f $$p1; \
962           then echo "$$p"; echo "$$p"; else :; fi; \
963         done | \
964         sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
965             -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
966         sed 'N;N;N;s,\n, ,g' | \
967         $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
968           { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
969             if ($$2 == $$4) files[d] = files[d] " " $$1; \
970             else { print "f", $$3 "/" $$4, $$1; } } \
971           END { for (d in files) print "f", d, files[d] }' | \
972         while read type dir files; do \
973             if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
974             test -z "$$files" || { \
975             echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(amlibexecdir)$$dir'"; \
976             $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(amlibexecdir)$$dir" || exit $$?; \
977             } \
978         ; done
979
980 uninstall-amlibexecPROGRAMS:
981         @$(NORMAL_UNINSTALL)
982         @list='$(amlibexec_PROGRAMS)'; test -n "$(amlibexecdir)" || list=; \
983         files=`for p in $$list; do echo "$$p"; done | \
984           sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
985               -e 's/$$/$(EXEEXT)/' `; \
986         test -n "$$list" || exit 0; \
987         echo " ( cd '$(DESTDIR)$(amlibexecdir)' && rm -f" $$files ")"; \
988         cd "$(DESTDIR)$(amlibexecdir)" && rm -f $$files
989
990 clean-amlibexecPROGRAMS:
991         @list='$(amlibexec_PROGRAMS)'; test -n "$$list" || exit 0; \
992         echo " rm -f" $$list; \
993         rm -f $$list || exit $$?; \
994         test -n "$(EXEEXT)" || exit 0; \
995         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
996         echo " rm -f" $$list; \
997         rm -f $$list
998 install-applicationexecPROGRAMS: $(applicationexec_PROGRAMS)
999         @$(NORMAL_INSTALL)
1000         test -z "$(applicationexecdir)" || $(MKDIR_P) "$(DESTDIR)$(applicationexecdir)"
1001         @list='$(applicationexec_PROGRAMS)'; test -n "$(applicationexecdir)" || list=; \
1002         for p in $$list; do echo "$$p $$p"; done | \
1003         sed 's/$(EXEEXT)$$//' | \
1004         while read p p1; do if test -f $$p || test -f $$p1; \
1005           then echo "$$p"; echo "$$p"; else :; fi; \
1006         done | \
1007         sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
1008             -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
1009         sed 'N;N;N;s,\n, ,g' | \
1010         $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
1011           { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
1012             if ($$2 == $$4) files[d] = files[d] " " $$1; \
1013             else { print "f", $$3 "/" $$4, $$1; } } \
1014           END { for (d in files) print "f", d, files[d] }' | \
1015         while read type dir files; do \
1016             if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
1017             test -z "$$files" || { \
1018             echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(applicationexecdir)$$dir'"; \
1019             $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(applicationexecdir)$$dir" || exit $$?; \
1020             } \
1021         ; done
1022
1023 uninstall-applicationexecPROGRAMS:
1024         @$(NORMAL_UNINSTALL)
1025         @list='$(applicationexec_PROGRAMS)'; test -n "$(applicationexecdir)" || list=; \
1026         files=`for p in $$list; do echo "$$p"; done | \
1027           sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
1028               -e 's/$$/$(EXEEXT)/' `; \
1029         test -n "$$list" || exit 0; \
1030         echo " ( cd '$(DESTDIR)$(applicationexecdir)' && rm -f" $$files ")"; \
1031         cd "$(DESTDIR)$(applicationexecdir)" && rm -f $$files
1032
1033 clean-applicationexecPROGRAMS:
1034         @list='$(applicationexec_PROGRAMS)'; test -n "$$list" || exit 0; \
1035         echo " rm -f" $$list; \
1036         rm -f $$list || exit $$?; \
1037         test -n "$(EXEEXT)" || exit 0; \
1038         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
1039         echo " rm -f" $$list; \
1040         rm -f $$list
1041 amgtar$(EXEEXT): $(amgtar_OBJECTS) $(amgtar_DEPENDENCIES) 
1042         @rm -f amgtar$(EXEEXT)
1043         $(LINK) $(amgtar_OBJECTS) $(amgtar_LDADD) $(LIBS)
1044 amstar$(EXEEXT): $(amstar_OBJECTS) $(amstar_DEPENDENCIES) 
1045         @rm -f amstar$(EXEEXT)
1046         $(LINK) $(amstar_OBJECTS) $(amstar_LDADD) $(LIBS)
1047 teecount$(EXEEXT): $(teecount_OBJECTS) $(teecount_DEPENDENCIES) 
1048         @rm -f teecount$(EXEEXT)
1049         $(LINK) $(teecount_OBJECTS) $(teecount_LDADD) $(LIBS)
1050 install-applicationexecSCRIPTS: $(applicationexec_SCRIPTS)
1051         @$(NORMAL_INSTALL)
1052         test -z "$(applicationexecdir)" || $(MKDIR_P) "$(DESTDIR)$(applicationexecdir)"
1053         @list='$(applicationexec_SCRIPTS)'; test -n "$(applicationexecdir)" || list=; \
1054         for p in $$list; do \
1055           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1056           if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
1057         done | \
1058         sed -e 'p;s,.*/,,;n' \
1059             -e 'h;s|.*|.|' \
1060             -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
1061         $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
1062           { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
1063             if ($$2 == $$4) { files[d] = files[d] " " $$1; \
1064               if (++n[d] == $(am__install_max)) { \
1065                 print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
1066             else { print "f", d "/" $$4, $$1 } } \
1067           END { for (d in files) print "f", d, files[d] }' | \
1068         while read type dir files; do \
1069              if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
1070              test -z "$$files" || { \
1071                echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(applicationexecdir)$$dir'"; \
1072                $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(applicationexecdir)$$dir" || exit $$?; \
1073              } \
1074         ; done
1075
1076 uninstall-applicationexecSCRIPTS:
1077         @$(NORMAL_UNINSTALL)
1078         @list='$(applicationexec_SCRIPTS)'; test -n "$(applicationexecdir)" || exit 0; \
1079         files=`for p in $$list; do echo "$$p"; done | \
1080                sed -e 's,.*/,,;$(transform)'`; \
1081         test -n "$$list" || exit 0; \
1082         echo " ( cd '$(DESTDIR)$(applicationexecdir)' && rm -f" $$files ")"; \
1083         cd "$(DESTDIR)$(applicationexecdir)" && rm -f $$files
1084
1085 mostlyclean-compile:
1086         -rm -f *.$(OBJEXT)
1087
1088 distclean-compile:
1089         -rm -f *.tab.c
1090
1091 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/amgtar.Po@am__quote@
1092 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/amstar.Po@am__quote@
1093 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/teecount.Po@am__quote@
1094
1095 .c.o:
1096 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
1097 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
1098 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1099 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1100 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
1101
1102 .c.obj:
1103 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
1104 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
1105 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1106 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1107 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
1108
1109 .c.lo:
1110 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
1111 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
1112 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1113 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1114 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
1115
1116 mostlyclean-libtool:
1117         -rm -f *.lo
1118
1119 clean-libtool:
1120         -rm -rf .libs _libs
1121
1122 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
1123         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
1124         unique=`for i in $$list; do \
1125             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1126           done | \
1127           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1128               END { if (nonempty) { for (i in files) print i; }; }'`; \
1129         mkid -fID $$unique
1130 tags: TAGS
1131
1132 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
1133                 $(TAGS_FILES) $(LISP)
1134         set x; \
1135         here=`pwd`; \
1136         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
1137         unique=`for i in $$list; do \
1138             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1139           done | \
1140           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1141               END { if (nonempty) { for (i in files) print i; }; }'`; \
1142         shift; \
1143         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1144           test -n "$$unique" || unique=$$empty_fix; \
1145           if test $$# -gt 0; then \
1146             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1147               "$$@" $$unique; \
1148           else \
1149             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1150               $$unique; \
1151           fi; \
1152         fi
1153 ctags: CTAGS
1154 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
1155                 $(TAGS_FILES) $(LISP)
1156         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
1157         unique=`for i in $$list; do \
1158             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1159           done | \
1160           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1161               END { if (nonempty) { for (i in files) print i; }; }'`; \
1162         test -z "$(CTAGS_ARGS)$$unique" \
1163           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1164              $$unique
1165
1166 GTAGS:
1167         here=`$(am__cd) $(top_builddir) && pwd` \
1168           && $(am__cd) $(top_srcdir) \
1169           && gtags -i $(GTAGS_ARGS) "$$here"
1170
1171 distclean-tags:
1172         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1173
1174 distdir: $(DISTFILES)
1175         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1176         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1177         list='$(DISTFILES)'; \
1178           dist_files=`for file in $$list; do echo $$file; done | \
1179           sed -e "s|^$$srcdirstrip/||;t" \
1180               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1181         case $$dist_files in \
1182           */*) $(MKDIR_P) `echo "$$dist_files" | \
1183                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1184                            sort -u` ;; \
1185         esac; \
1186         for file in $$dist_files; do \
1187           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1188           if test -d $$d/$$file; then \
1189             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1190             if test -d "$(distdir)/$$file"; then \
1191               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1192             fi; \
1193             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1194               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1195               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1196             fi; \
1197             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1198           else \
1199             test -f "$(distdir)/$$file" \
1200             || cp -p $$d/$$file "$(distdir)/$$file" \
1201             || exit 1; \
1202           fi; \
1203         done
1204         $(MAKE) $(AM_MAKEFLAGS) \
1205           top_distdir="$(top_distdir)" distdir="$(distdir)" \
1206           dist-hook
1207 check-am: all-am
1208         $(MAKE) $(AM_MAKEFLAGS) check-local
1209 check: $(BUILT_SOURCES)
1210         $(MAKE) $(AM_MAKEFLAGS) check-am
1211 all-am: Makefile $(PROGRAMS) $(SCRIPTS)
1212 installdirs:
1213         for dir in "$(DESTDIR)$(amlibexecdir)" "$(DESTDIR)$(applicationexecdir)" "$(DESTDIR)$(applicationexecdir)"; do \
1214           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1215         done
1216 install: $(BUILT_SOURCES)
1217         $(MAKE) $(AM_MAKEFLAGS) install-am
1218 install-exec: install-exec-am
1219 install-data: install-data-am
1220 uninstall: uninstall-am
1221
1222 install-am: all-am
1223         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1224
1225 installcheck: installcheck-am
1226 install-strip:
1227         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1228           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1229           `test -z '$(STRIP)' || \
1230             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
1231 mostlyclean-generic:
1232         -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
1233
1234 clean-generic:
1235         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1236
1237 distclean-generic:
1238         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1239         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1240         -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
1241
1242 maintainer-clean-generic:
1243         @echo "This command is intended for maintainers to use"
1244         @echo "it deletes files that may require special tools to rebuild."
1245         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1246         -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
1247 clean: clean-am
1248
1249 clean-am: clean-amlibexecPROGRAMS clean-applicationexecPROGRAMS \
1250         clean-generic clean-libtool mostlyclean-am
1251
1252 distclean: distclean-am
1253         -rm -rf ./$(DEPDIR)
1254         -rm -f Makefile
1255 distclean-am: clean-am distclean-compile distclean-generic \
1256         distclean-tags
1257
1258 dvi: dvi-am
1259
1260 dvi-am:
1261
1262 html: html-am
1263
1264 html-am:
1265
1266 info: info-am
1267
1268 info-am:
1269
1270 install-data-am:
1271         @$(NORMAL_INSTALL)
1272         $(MAKE) $(AM_MAKEFLAGS) install-data-hook
1273 install-dvi: install-dvi-am
1274
1275 install-dvi-am:
1276
1277 install-exec-am: install-amlibexecPROGRAMS \
1278         install-applicationexecPROGRAMS install-applicationexecSCRIPTS
1279         @$(NORMAL_INSTALL)
1280         $(MAKE) $(AM_MAKEFLAGS) install-exec-hook
1281 install-html: install-html-am
1282
1283 install-html-am:
1284
1285 install-info: install-info-am
1286
1287 install-info-am:
1288
1289 install-man:
1290
1291 install-pdf: install-pdf-am
1292
1293 install-pdf-am:
1294
1295 install-ps: install-ps-am
1296
1297 install-ps-am:
1298
1299 installcheck-am: installcheck-local
1300
1301 maintainer-clean: maintainer-clean-am
1302         -rm -rf ./$(DEPDIR)
1303         -rm -f Makefile
1304 maintainer-clean-am: distclean-am maintainer-clean-generic
1305
1306 mostlyclean: mostlyclean-am
1307
1308 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1309         mostlyclean-libtool
1310
1311 pdf: pdf-am
1312
1313 pdf-am:
1314
1315 ps: ps-am
1316
1317 ps-am:
1318
1319 uninstall-am: uninstall-amlibexecPROGRAMS \
1320         uninstall-applicationexecPROGRAMS \
1321         uninstall-applicationexecSCRIPTS
1322
1323 .MAKE: all check check-am install install-am install-data-am \
1324         install-exec-am install-strip
1325
1326 .PHONY: CTAGS GTAGS all all-am check check-am check-local clean \
1327         clean-amlibexecPROGRAMS clean-applicationexecPROGRAMS \
1328         clean-generic clean-libtool ctags dist-hook distclean \
1329         distclean-compile distclean-generic distclean-libtool \
1330         distclean-tags distdir dvi dvi-am html html-am info info-am \
1331         install install-am install-amlibexecPROGRAMS \
1332         install-applicationexecPROGRAMS install-applicationexecSCRIPTS \
1333         install-data install-data-am install-data-hook install-dvi \
1334         install-dvi-am install-exec install-exec-am install-exec-hook \
1335         install-html install-html-am install-info install-info-am \
1336         install-man install-pdf install-pdf-am install-ps \
1337         install-ps-am install-strip installcheck installcheck-am \
1338         installcheck-local installdirs maintainer-clean \
1339         maintainer-clean-generic mostlyclean mostlyclean-compile \
1340         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1341         tags uninstall uninstall-am uninstall-amlibexecPROGRAMS \
1342         uninstall-applicationexecPROGRAMS \
1343         uninstall-applicationexecSCRIPTS
1344
1345
1346 # Perl
1347 %: %.pl $(top_builddir)/config.status
1348         $(top_builddir)/config.status --file=$@:$<
1349         chmod a+x $@
1350         @if test -f $(top_builddir)/perl/.libs/libCmdline.so -o -f $(top_builddir)/perl/libCmdline.so; then \
1351                 grep -v '^use lib' $@ > $@.nouselib; \
1352                 $(PERL) $(CHECK_PERL_FLAGS) -I$(top_builddir)/perl -I$(top_builddir)/perl/.libs -I$(top_srcdir)/perl -c -w -T $@.nouselib || exit 1; \
1353                 rm $@.nouselib; \
1354         fi
1355
1356 %.pl: %.pl.in $(top_builddir)/config.status
1357         $(top_builddir)/config.status --file=$@:$<
1358
1359 %.pm: %.pm.in $(top_builddir)/config.status
1360         $(top_builddir)/config.status --file=$@:$<
1361
1362 # Shell
1363 %: %.sh $(top_builddir)/config.status
1364         $(top_builddir)/config.status --file=$@:$<
1365         chmod a+x $@
1366
1367 %.sh: %.sh.in $(top_builddir)/config.status
1368         $(top_builddir)/config.status --file=$@:$<
1369
1370 # Awk
1371 %: %.awk $(top_builddir)/config.status
1372         $(top_builddir)/config.status --file=$@:$<
1373         chmod a+x $@
1374
1375 %.awk: %.awk.in $(top_builddir)/config.status
1376         $(top_builddir)/config.status --file=$@:$<
1377
1378 # syntax-check perl scripts on 'make check'
1379 check-perl: $(CHECK_PERL)
1380         @CHECK_PERL="$(CHECK_PERL)"; \
1381         if test -f $(top_builddir)/perl/.libs/libCmdline.so -o -f $(top_builddir)/perl/libCmdline.so; then \
1382                 if test -n "$(PERL)"; then \
1383                         for perlobj in $$CHECK_PERL; do \
1384                                 grep -v '^use lib' $$perlobj > $$perlobj.nouselib; \
1385                                 $(PERL) $(CHECK_PERL_FLAGS) -I$(top_builddir)/perl -I$(top_builddir)/perl/.libs -I$(top_srcdir)/perl -c -w -T $$perlobj.nouselib || exit 1; \
1386                                 rm $$perlobj.nouselib; \
1387                         done; \
1388                 fi \
1389         fi
1390 check-local: check-perl
1391
1392 # syntax-check perl scripts on 'make installcheck'
1393 installcheck-perl: $(CHECK_PERL)
1394         @CHECK_PERL="$(CHECK_PERL)"; \
1395         if test -n "$(PERL)"; then \
1396                 for perlobj in $$CHECK_PERL; do \
1397                         $(PERL) $(CHECK_PERL_FLAGS) -c -w -T $$perlobj || exit 1; \
1398                 done; \
1399         fi
1400 installcheck-local: installcheck-perl
1401 check-shell: $(CHECK_SHELL)
1402         @CHECK_SHELL="$(CHECK_SHELL)"; \
1403         if test -n "$$CHECK_SHELL"; then \
1404                 if test -n "$(BASH)"; then \
1405                         for shobj in $$CHECK_SHELL; do \
1406                                 if $(BASH) -n $$shobj; then \
1407                                         echo "$$shobj syntax OK"; \
1408                                 else \
1409                                         echo "$$shobj syntax error"; \
1410                                         exit 1; \
1411                                 fi; \
1412                         done; \
1413                 else \
1414                         echo "No 'bash' available -- cannot syntax-check shell scripts"; \
1415                 fi; \
1416         fi
1417 check-local: check-shell
1418
1419 # make sure that the sources for all shell and perl scripts get included
1420 # in the distribution
1421 dist-scripts:
1422         SCRIPTS_PERL="$(SCRIPTS_PERL)"; SCRIPTS_SHELL="$(SCRIPTS_SHELL)"; SCRIPTS_AWK="$(SCRIPTS_AWK)"; \
1423         for script in $$SCRIPTS_PERL; do \
1424                 test -f $(srcdir)/$${script}.pl && { cp -p $(srcdir)/$${script}.pl $(distdir)/ || exit 1; } \
1425         done; \
1426         for script in $$SCRIPTS_SHELL; do \
1427                 test -f $(srcdir)/$${script}.sh && { cp -p $(srcdir)/$${script}.sh $(distdir)/ || exit 1; } \
1428         done; \
1429         for script in $$SCRIPTS_AWK; do \
1430                 test -f $(srcdir)/$${script}.awk && { cp -p $(srcdir)/$${script}.awk $(distdir)/ || exit 1; } \
1431         done; \
1432         for script in $$SCRIPTS_SHELL $$SCRIPTS_PERL $$SCRIPTS_AWK; do \
1433                 test -f $(srcdir)/$${script}.in && { cp -p $(srcdir)/$${script}.in $(distdir)/ || exit 1; } \
1434         done; \
1435         true
1436 dist-hook: dist-scripts
1437
1438 installperms-exec:
1439         @installperms="$(INSTALLPERMS_exec)"; \
1440         test -n "$$installperms" && echo "Setting installation permissions on executables"; \
1441         dest=; chown=; chmod=; \
1442         for cmd in $$installperms; do \
1443             case "$$cmd" in \
1444                 chown=amanda) \
1445                         echo "  ($$cmd)"; chown="$(BINARY_OWNER):$(SETUID_GROUP)";; \
1446                 dest=*|chown=*|chmod=*) \
1447                         echo "  ($$cmd)"; eval $$cmd;; \
1448                 *) $(do_file) ;; \
1449             esac; \
1450         done
1451
1452 installperms-data:
1453         @installperms="$(INSTALLPERMS_data)"; \
1454         dest=; chown=; chmod=; \
1455         for cmd in $$installperms; do \
1456             case "$$cmd" in \
1457                 chown=amanda) \
1458                         echo "  ($$cmd)"; chown="$(BINARY_OWNER):$(SETUID_GROUP)";; \
1459                 dest=*|chown=*|chmod=*) \
1460                         echo "  ($$cmd)"; eval $$cmd;; \
1461                 *)  $(do_file) ;; \
1462             esac; \
1463         done
1464
1465 install-exec-hook: installperms-exec
1466 install-data-hook: installperms-data
1467
1468 # define a rule to initialize the installperms manifest file
1469 @WANT_INSTALLPERMS_TRUE@installperms-init:
1470 @WANT_INSTALLPERMS_FALSE@installperms-init:
1471 @WANT_INSTALLPERMS_FALSE@       rm -f "$(installperms_sh)"
1472
1473 # A rule to make precompiler output from C files.  This is not used during
1474 # ordinary builds, but but can very useful in debugging problems on strange
1475 # architectures.  With this rule, we can ask users to 'make foo.i' and send
1476 # the result to us.
1477 #
1478 # It touches some automake internals ($COMPILE), but since it's not
1479 # build-critical, that's OK.
1480 %.i : %.c
1481         $(COMPILE) -E -o $@ $<
1482
1483 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1484 # Otherwise a system limit (for SysV at least) may be exceeded.
1485 .NOEXPORT: